%
% anyremote configuration file for Nokia-E61 management. (Server-mode)
%

% STATUS unknown
% XTEST no
% SOUND no
% ENV no

GuiAppName=Nokia E61 test
GuiAppType=Example
GuiAppProtocols=Server
GuiAppDesc=Example of keypad handling for Nokia-E61 

[Protocol]=Server

(Init)=\
	Exec($(CfgDir)/Utils/message.sh "Press buttons, Shift+buttons, Ctrl+buttons");

(Connect)=\
	Set(parameter,debug,on);\
	Set(icons,Keypad tester,1,default,2,default,3,default,4,default,5,default,6,default,7,default,8,default,9,default,0,default,*,default,#,default);
	
Cancel=Make(exit);

%* *=Set(text,replace,Help,Press buttons, Shift+buttons, Ctrl+buttons)
Back=Set(text,close);

113=Set(title,Q);	
81=Set(title,Shift-Q);
17=Set(title,Ctrl-Q); 

119=Set(title,W);	
87=Set(title,Shift-W);
23=Set(title,Ctrl-W); 

101=Set(title,E);		
69=Set(title,Shift-E);	
K5=Set(title,Ctrl-E);

1=Set(title,1); 	
33=Set(title,Shift-1);
	
2=Set(title,2)	
34=Set(title,Shift-2);

3=Set(title,3);	
163=Set(title,Shift-3);

*=Set(title,Star or Shift-8);

105=Set(title,I);	
73=Set(title,Shift-I);		
K9=Set(title,Ctrl-I);

111=Set(title,O);	
79=Set(title,Shift-O);		
15=Set(title,Ctrl-O);

112=Set(title,P);	
80=Set(title,Shift-P);	
16=Set(title,Ctrl-P);

97=Set(title,A);	
65=Set(title,Shift-A);		
K1=Set(title,Ctrl-A);

115=Set(title,S);	
83=Set(title,Shift-S);	
19=Set(title,Ctrl-S);

100=Set(title,D);	
68=Set(title,Shift-D);	
K4=Set(title,Ctrl-D);
%LEFT=Set(title,D);

4=Set(title,4);	
36=Set(title,Shift-4);

5=Set(title,5);	
8364=Set(title,Shift-5);

6=Set(title,6);	
37=Set(title,Shift-6);

#=Set(title,Hash);	
126=Set(title,Shift-Hash);

107=Set(title,K);	
75=Set(title,Shift-K);	
%11=Set(title,Ctrl-K);
%RIGHT=Set(title,K);

108=Set(title,L);	
76=Set(title,Shift-L);	
12=Set(title,Ctrl-L);

K8=Set(title,<-);

122=Set(title,Z);	
90=Set(title,Shift-Z);	
26=Set(title,Ctrl-Z);

120=Set(title,X);	
88=Set(title,Shift-X);	
24=Set(title,Ctrl-X);

99=Set(title,C);	
67=Set(title,Shift-C);	
K3=Set(title,Ctrl-C);

7=Set(title,7);	
38=Set(title,Shift-7);

8=Set(title,8);	
%42=Set(title,Shift-8);

9=Set(title,9);	
40=Set(title,Shift-9);

0=Set(title,0);	
41=Set(title,Shift-0);

59=Set(title,Dot or Ctrl-Dot);	
58=Set(title,Shift-Dot);

39=Set(title,Dot or Ctrl-Comma);	
64=Set(title,Shift-Comma);

10=Set(title,Return);

%-50=Set(title,Shift);

44=Set(title,3rd from left bottom row or Ctrl-3rd from left bottom row);	
60=Set(title,Shift-3rd from left bottom row);

46=Set(title,4rd from left bottom row or Ctrl-4rd from left bottom row);	
62=Set(title,Shift-4rd from left bottom row);

32=Set(title,Space);

47=Set(title,4rd from right bottom row or Ctrl-4rd from right bottom row);	
63=Set(title,Shift-4rd from right bottom row);

-10=Set(title,Green button);

%-1=Set(title,Joystick up);
%-2=Set(title,Joystick down);
%-3=Set(title,Joystick left);
%-4=Set(title,Joystick right);
%-5=Set(title,Joystick push);


[End]
